﻿@model AHCBL.Dto.Admin.MemberListDto
@{
    ViewBag.Title = "Register";
    Layout = "~/Views/Shared/_Layout_regis.cshtml";
}
@Styles.Render("~/common/css/pages/login.css")
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()


<div class="topWrap">
    <div class="width1000 animated fadeInUp ani_delay05" style="margin-top:15px;">
        <p class="pTit" id="t_page_title">회원가입</p>
        <form name="join_form" id="join_form" method="post">
            <input type="hidden" name="cmd" id="cmd">
            <input type="hidden" name="id_chk" id="id_chk">
            <input type="hidden" name="sponsor_chk" id="sponsor_chk" value="Y">
            <input type="hidden" name="recomm_chk" id="recomm_chk" value="N">
            <input type="hidden" name="search_sponsor_id" id="search_sponsor_id" value="" />
            <div class="pTable">
                <div class="widthL">
                    <p class="th" id="t_userid">아이디</p>
                    <p class="td">
                        @Html.EditorFor(model => model.username, new { htmlAttributes = new { @class = "in100 motion", engnumberonly = "true" } })
                        <span class="btnCheck" id="id_check" onclick="idCheck();">CHECK</span>
                        @*<input type="text" class="in100 motion" name="username" id="username" engnumberonly="true">*@
                        @Html.ValidationMessageFor(model => model.username, "", new { @class = "text-danger" })
                    <p class="result" id="id_res"></p>

                    </p>
                </div>
                <div class="widthR">
                    <p class="th" id="t_name">회원명</p>
                    <p class="td">
                        @Html.EditorFor(model => model.fullname, new { htmlAttributes = new { @class = "in100 motion", engnumberonly = "true", korengOnly = "true", autocomplete = "new-password" } })
                        @Html.ValidationMessageFor(model => model.fullname, "", new { @class = "text-danger" })
                    </p>
                </div>
                <div class="widthL">
                    <p class="th" id="t_password">비밀번호</p>
                    <p class="td">
                        @Html.EditorFor(model => model.password, new { htmlAttributes = new { @class = "in100 motion", engnumberonly = "true", autocomplete = "new-password", type = "password" } })
                        @Html.ValidationMessageFor(model => model.password, "", new { @class = "text-danger" })
                    </p>
                </div>

                <div class="widthR">
                    <p class="th" id="t_password">비밀번호 확인</p>
                    <p class="td"><input type="password" class="in100 motion" name="password_check" id="password_check" engnumberonly="true" autocomplete="new-password"></p>
                </div>

                <div class="widthL">
                    <p class="th" id="t_mobile_telno">휴대폰번호</p>
                    <p class="td">
                        @Html.EditorFor(model => model.mobile, new { htmlAttributes = new { @class = "in100 motion", numberOnly = "true", maxlength = "11" } })
                        @Html.ValidationMessageFor(model => model.mobile, "", new { @class = "text-danger" })
                    </p>
                </div>

                <div class="widthR">
                    <p class="th" id="t_bank_name">은행명</p>
                    <p class="td">
                        @Html.DropDownListFor(model => model.bank_id, new SelectList(ViewBag.bank_id, "Value", "Text"), "---은행 선택---", new { @class = "in100 motion", style = "max-width:100%;" })

                    </p>
                </div>

                <div class="widthL">
                    <p class="th" id="t_account_number">계좌번호</p>
                    <p class="td">
                        @Html.EditorFor(model => model.acc_no, new { htmlAttributes = new { @class = "in100 motion" } })
                        @Html.ValidationMessageFor(model => model.acc_no, "", new { @class = "text-danger" })
                    </p>
                </div>

                <div class="widthR">
                    <p class="th" id="t_account_holder_name">예금주</p>
                    <p class="td">
                        @Html.EditorFor(model => model.acc_name, new { htmlAttributes = new { @class = "in100 motion" } })
                        @Html.ValidationMessageFor(model => model.acc_name, "", new { @class = "text-danger" })
                    </p>
                </div>

                <!-- <div class="widthR">
        <p class="th" id="t_b_password">출금비밀번호</p>
        <p class="td"><input type="password" class="in100 motion" name="bpassword" id="bpassword"></p>
    </div> -->
                <div class="widthL">
                    <p class="th" id="t_placement_id">추천아이디</p>
                    <p class="td">
                        @Html.EditorFor(model => model.adviser_name, new { htmlAttributes = new { @class = "in100 motion", engnumberonly = "true" } })

                        @*<input type="text" class="in100 motion" name="search_recomm_id" id="search_recomm_id" value="<%=param.search_recomm_id%>" <% If param.recomm_chk = "Y" Then %>readonly<% End If %> engnumberonly="true">
                <% If param.recomm_chk <> "Y" Then %>*@
                        <span class="btnCheck" onclick="recommCheck();" id="pchk_btn">CHECK</span>
                        @*<% End If %>*@
                    <p class="result" id="p_memres"></p>
                    </p>

                </div>

                <div class="clearfix"></div>
                <div class="warning-regis">
                    <p>
                        개인정보보호법에 따라 회사(이하경북궁p2p)에 회원가입 신청하시는 분께 수집하는 개인정보의 항목, 개인정보의 수집 및 이용목적, 개인정보의 보유 및 이용기간, 동의 거부권 및 동의 거부 시 불이익에 관한 사항을 안내 드리오니 자세히 읽은 후 동의하여 주시기 바랍니다.
                    </p>

                    <textarea class="text-are">
1. 수집하는 개인정보이용자가 개인화 혹은 회원제 서비스를 이용하기 위해 회원가입을 할 경우, 회사는 서비스 이용을 위해 필요한 최소한의 개인정보를 수집합니다.회원가입 시점에 회사가 이용자로부터 수집하는 개인정보는 아래와 같습니다.
- 회원 가입 시에 ‘아이디, 비밀번호, 이름, 생년월일, 성별, 휴대전화번호, 은행정보, 계좌번호, 예금주이름’을 필수항목으로 수집합니다.
서비스 이용 과정에서 이용자로부터 수집하는 개인정보는 아래와 같습니다.
회사 내의 개별 서비스 이용, 이벤트 응모 및 경품 신청 과정에서 해당 서비스의 이용자에 한해 추가 개인정보 수집이 발생할 수 있습니다. 추가로 개인정보를 수집할 경우에는 해당 개인정보 수집 시점에서 이용자에게 ‘수집하는 개인정보 항목, 개인정보의 수집 및 이용목적, 개인정보의 보관기간’에 대해 안내 드리고 동의를 받습니다.
서비스 이용 과정에서 IP 주소, 쿠키, 서비스 이용 기록, 기기정보, 위치정보가 생성되어 수집될 수 있습니다. 또한 이미지 및 음성을 이용한 검색 서비스 등에서 이미지나 음성이 수집될 수 있습니다.
구체적으로 1) 서비스 이용 과정에서 이용자에 관한 정보를 자동화된 방법으로 생성하여 이를 저장(수집)하거나,

2) 이용자 기기의 고유한 정보를 원래의 값을 확인하지 못 하도록 안전하게 변환하여 수집합니다.
수집된 정보는 개인정보와의 연계 여부 등에 따라 개인정보에 해당할 수 있고, 개인정보에 해당하지 않을 수도 있습니다.

2. 수집한 개인정보의 이용
회사 및 회사 관련 제반 서비스(모바일 웹/앱 포함)의 회원관리, 서비스 개발・제공 및 향상, 안전한 인터넷 이용환경 구축 등 아래의 목적으로만 개인정보를 이용합니다.
- 회원 가입 의사의 확인, 연령 확인 및 법정대리인 동의 진행, 이용자 및 법정대리인의 본인 확인, 이용자 식별, 회원탈퇴 의사의 확인 등 회원관리를 위하여 개인정보를 이용합니다.
- 콘텐츠 등 기존 서비스 제공(광고 포함)에 더하여, 인구통계학적 분석, 서비스 방문 및 이용기록의 분석, 개인정보 및 관심에 기반한 이용자간 관계의 형성, 지인 및 관심사 등에 기반한 맞춤형 서비스 제공 등 신규 서비스 요소의 발굴 및 기존 서비스 개선 등을 위하여 개인정보를 이용합니다.
- 법령 및 회사 이용약관을 위반하는 회원에 대한 이용 제한 조치, 부정 이용 행위를 포함하여 서비스의 원활한 운영에 지장을 주는 행위에 대한 방지 및 제재, 계정도용 및 부정거래 방지, 약관 개정 등의 고지사항 전달, 분쟁조정을 위한 기록 보존, 민원처리 등 이용자 보호 및 서비스 운영을 위하여 개인정보를 이용합니다.
- 유료 서비스 제공에 따르는 본인인증, 구매 및 요금 결제, 상품 및 서비스의 배송을 위하여 개인정보를 이용합니다.
- 이벤트 정보 및 참여기회 제공, 광고성 정보 제공 등 마케팅 및 프로모션 목적으로 개인정보를 이용합니다.
- 서비스 이용기록과 접속 빈도 분석, 서비스 이용에 대한 통계, 서비스 분석 및 통계에 따른 맞춤 서비스 제공 및 광고 게재 등에 개인정보를 이용합니다.
- 보안, 프라이버시, 안전 측면에서 이용자가 안심하고 이용할 수 있는 서비스 이용환경 구축을 위해 개인정보를 이용합니다.

3. 개인정보의 보관기간
회사는 원칙적으로 이용자의 개인정보를 회원 탈퇴 시 지체없이 파기하고 있습니다.
단, 이용자에게 개인정보 보관기간에 대해 별도의 동의를 얻은 경우, 또는 법령에서 일정 기간 정보보관 의무를 부과하는 경우에는 해당 기간 동안 개인정보를 안전하게 보관합니다.
이용자에게 개인정보 보관기간에 대해 회원가입 시 또는 서비스 가입 시 동의를 얻은 경우는 아래와 같습니다.
- 부정 가입 및 이용 방지
가입인증 휴대전화번호 또는 DI : 수집시점으로부터6개월 보관
탈퇴한 이용자의 휴대전화번호 : 탈퇴일로부터6개월 보관
전자상거래 등에서의 소비자 보호에 관한 법률, 전자금융거래법, 통신비밀보호법 등 법령에서 일정기간 정보의 보관을 규정하는 경우는 아래와 같습니다. 회사는 이 기간 동안 법령의 규정에 따라 개인정보를 보관하며, 본 정보를 다른 목적으로는 절대 이용하지 않습니다.

4. 개인정보 수집 및 이용 동의를 거부할 권리
이용자는 개인정보의 수집 및 이용 동의를 거부할 권리가 있습니다. 회원가입 시 수집하는 최소한의 개인정보, 즉, 필수 항목에 대한 수집 및 이용 동의를 거부하실 경우, 회원가입이 어려울 수 있습니다.
                    </textarea>
                </div>
            </div>
            <!--// pTable end -->

        </form>
    </div>
    <div class="btnWrap">
        <span class="btnOk" id="do" style="cursor:pointer">회원가입</span>
        <span class="btnCa" id="cancel" style="cursor:pointer">로그인</span>
        <button id="btnSave" type="submit" style="display:none;" />
        <input type="hidden" name="adviser" id="adviser" />
    </div>
</div>


}

<script>
    $(document).ready(function () {
        $("#username").focus();
        var adv = '@ViewBag.adviser';
        var id = '@ViewBag.member_id';
        if (adv != '') {
            $("#adviser").val(id);
            $("#adviser_name").val(adv);
            $("#recomm_chk").val("Y");
            $("#pchk_btn").css("display","none");
            $("#adviser_name").prop("disabled", true);
        } else {
            $("#adviser_name").prop("disabled", false);
        }
        //alert(adv);
        $("#username").change(function () { $("#id_chk").val("N"); });
        $("#adviser_name").change(function () { $("#recomm_chk").val("N"); });
        $("#search_sponsor_id").change(function () { $("#sponsor_chk").val("N"); });

        $("#do").click(function () { doAction(); })

        $("#cancel").click(function () {
            location.href = "/Login";
        })
    });
    
    function idCheck() {
        if ($.trim($("#username").val()) == "") {
            alert("아이디를 입력해 주세요.");
            $("#username").focus();
        }
        else {
            var pUid = $("#username").val();

            $.ajax({
                type: "POST",
                url: "/Register/ChkUserID",
                data: "{'pUid':'" + pUid + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '1') {
                        alert(msg.errmsg);
                        $("#id_chk").val("Y");
                    } else {
                        alert(msg.errmsg);
                        $("#username").val("");
                        $("#id_chk").val("N");
                        $("#username").focus();
                    }
                }
            });

        }
    }

    function recommCheck() {
        if ($.trim($("#adviser_name").val()) == "") {
            alert("추천인 아이디를 입력해 주세요.");
            $("#adviser_name").focus();
        }
        else {
            var pUid = $("#adviser_name").val();

            $.ajax({
                type: "POST",
                url: "/Register/ChkAdviser",
                data: "{'pUid':'" + pUid + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err != '0') {
                        alert(msg.errmsg);
                        $("#recomm_chk").val("Y");
                        $("#adviser").val(msg.err);
                    } else {
                        alert(msg.errmsg);
                        $("#adviser").val("");
                        $("#recomm_chk").val("N");
                    }
                }
            });

            //$("#cmd").val("/view/member/recomm_id_check.json");
            //var adviser = $("#adviser").val();
            //alert(adviser); return;
            //$.ajax({
            //    url: "/Register/ChkAdviser",
            //    data: "{'adviser':'" + adviser + "'}",
            //    success: function (msg) {
            //        if (msg.err == '0') {
            //            alert(msg.errmsg);
            //            $("#recomm_chk").val("Y");
            //        } else {
            //            alert(msg.errmsg);
            //            $("#adviser").val("");
            //            $("#recomm_chk").val("N");
            //        }
            //    }
            //});
        }
    }

    function sponsorCheck() {
        if ($.trim($("#search_sponsor_id").val()) == "") {
            alert("후원인 아이디를 입력해 주세요.");
            $("#search_sponsor_id").focus();
        }
        else {
            $("#cmd").val("/view/member/sponsor_id_check.json");

            $.mvcAjax({
                url: "../../frame/member/memberController.asp",
                data: $("#join_form").serialize(),
                success: function (data) {
                    var result = data.RESULT;
                    if (result.CODE == 1) {
                        alert("후원인이 확인되었습니다.\n회원가입을 진행해 주세요.");
                        $("#sponsor_chk").val("Y");
                    } else {
                        alert(result.MESSAGE);
                        $("#search_sponsor_id").val("");
                        $("#sponsor_chk").val("N");
                    }
                }
            });
        }
    }

    function doValidate() {

        if ($.trim($("#username").val()) == "") {
            alert("아이디를 입력해 주세요.");
            $("#username").focus();
            return false;
        }

        if ($.trim($("#id_chk").val()) != "Y") {
            alert("아이디가 확인되지 않았습니다.\n중복 확인을 진행해 주세요.");
            $("#username").focus();
            return false;
        }

        if ($.trim($("#fullname").val()) == "") {
            alert("이름을 입력해 주세요.");
            $("#fullname").focus();
            return false;
        }

        if ($.trim($("#password").val()) == "") {
            alert("비밀번호를 입력해 주세요.");
            $("#password").focus();
            return false;
        }

        if ($.trim($("#password_check").val()) == "") {
            alert("비밀번호 확인을 입력해 주세요.");
            $("#password_check").focus();
            return false;
        }

        if ($.trim($("#password").val()) != $.trim($("#password_check").val())) {
            alert("비밀번호가 일치하지 않습니다.\n비밀번호를 확인해 주세요.");
            $("#password_check").focus();
            return false;
        }

        //		if($.trim($("#mobile1").val()) == "" || $.trim($("#mobile2").val()) == "" || $.trim($("#mobile3").val()) == ""){
        //			alert("휴대폰 번호를 입력해 주세요.");
        //			$("#mobile2").focus();
        //			return false;
        //		}

        if ($.trim($("#mobile").val()) == "") {
            alert("휴대폰 번호를 입력해 주세요.");
            $("#mobile").focus();
            return false;
        }
       

        //				if($.trim($("#address1").val()) == ""){
        //					alert("주소를 검색해 주세요.");
        //					return false;
        //				}

        //				if($.trim($("#address2").val()) == ""){
        //					alert("상세주소를 입력해 주세요.");
        //					$("#address2").focus();
        //					return false;
        //				}


        if ($.trim($("#bank_id").val()) == "") {
            alert("은행을 선택해 주세요.");
            $("#bank_id").focus();
            return false;
        }

        if ($.trim($("#acc_no").val()) == "") {
            alert("계좌번호를 입력해 주세요.");
            $("#acc_no").focus();
            return false;
        }

        if ($.trim($("#acc_name").val()) == "") {
            alert("예금주를 입력해 주세요.");
            $("#acc_name").focus();
            return false;
        }

        //				if($.trim($("#center").val()) == ""){
        //					alert("센터를 선택해 주세요.");
        //					$("#center").focus();
        //					return false;
        //				}

        if ($.trim($("#adviser_name").val()) == "") {
            alert("추천인을 입력해 주세요.");
            $("#adviser").focus();
            return false;
        }

        if ($.trim($("#recomm_chk").val()) != "Y") {
            alert("추천인이 확인되지 않았습니다.\n추천인 확인을 진행해 주세요.");
            $("#adviser").focus();
            return false;
        }

        //				if($.trim($("#search_sponsor_id").val()) == ""){
        //					alert("후원인을 입력해 주세요.");
        //					$("#search_sponsor_id").focus();
        //					return false;
        //				}
        //
        //				if($.trim($("#sponsor_chk").val()) != "Y"){
        //					alert("후원인이 확인되지 않았습니다.\n후원인 확인을 진행해 주세요.");
        //					$("#search_sponsor_id").focus();
        //					return false;
        //				}


        return true;
    }


    function doAction() {
        if (doValidate()) {
            $.ajax({
                type: "POST",
                url: "/MemberList/ChkUserPhone",
                data: "{'pUid':'" + $.trim($("#mobile").val()) + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '1') {
                        //alert(msg.errmsg);
                        //$("#id_chk").val("Y");
                        //$("#save").click();
                        $("#btnSave").click();
                    } else {
                        alert(msg.errmsg);
                        $("#mobile").val("");
                        //$("#id_chk").val("N");
                        $("#mobile").focus();
                        return false;
                    }
                }
            });
            //$.mvcAjax({
            //    url: "../../frame/member/memberController.asp",
            //    data: $("#join_form").serialize(),
            //    success: function (data) {
            //        var result = data.RESULT;
            //        if (result.CODE == 1) {
            //            alert("가입이 완료되었습니다.");
            //            location.href = "/Login";
            //        } else {
            //            alert(result.MESSAGE);
            //        }
            //    }
            //});
        }
    }


    function getPostCode() {
        new daum.Postcode({
            oncomplete: function (data) {
                // 팝업에서 검색결과 항목을 클릭했을때 실행할 코드를 작성하는 부분.

                // 각 주소의 노출 규칙에 따라 주소를 조합한다.
                // 내려오는 변수가 값이 없는 경우엔 공백('')값을 가지므로, 이를 참고하여 분기 한다.
                var fullAddr = ''; // 최종 주소 변수
                var extraAddr = ''; // 조합형 주소 변수

                // 사용자가 선택한 주소 타입에 따라 해당 주소 값을 가져온다.
                if (data.userSelectedType === 'R') { // 사용자가 도로명 주소를 선택했을 경우
                    fullAddr = data.roadAddress;

                } else { // 사용자가 지번 주소를 선택했을 경우(J)
                    fullAddr = data.jibunAddress;
                }

                // 사용자가 선택한 주소가 도로명 타입일때 조합한다.
                if (data.userSelectedType === 'R') {
                    //법정동명이 있을 경우 추가한다.
                    if (data.bname !== '') {
                        extraAddr += data.bname;
                    }
                    // 건물명이 있을 경우 추가한다.
                    if (data.buildingName !== '') {
                        extraAddr += (extraAddr !== '' ? ', ' + data.buildingName : data.buildingName);
                    }
                    // 조합형주소의 유무에 따라 양쪽에 괄호를 추가하여 최종 주소를 만든다.
                    fullAddr += (extraAddr !== '' ? ' (' + extraAddr + ')' : '');
                }

                // 우편번호와 주소 정보를 해당 필드에 넣는다.
                //document.getElementById("sample6_postcode1").value = data.postcode1;
                //document.getElementById("sample6_postcode2").value = data.postcode2;
                //document.getElementById("sample6_address").value = fullAddr;

                // 커서를 상세주소 필드로 이동한다.
                //document.getElementById("sample6_address2").focus();

                var postArr = new Array();
                postArr.push(data.zonecode);
                postArr.push(data.postcode1);
                postArr.push(data.postcode2);
                postArr.push(fullAddr);

                setPostCode(postArr);
            }
        }).open();
    }

    function setPostCode(postArr) {
        var zone_code = postArr[0];
        var post_cd1 = postArr[1];
        var post_cd2 = postArr[2];
        var full_addr = postArr[3];

        $("#zipcode").val(zone_code);
        $("#address1").val(full_addr);
        $("#address2").val('');
        $("#address2").focus();
    }
</script>